#include <iostream>
#include <fstream>
#include <cmath>
using namespace std;
int main()
{
    ifstream f1("PT2.INP");
    int a,b,c;
    f1>>a>>b>>c;
    f1.close();
    ofstream f2("PT2.OUT");
    float d;
    f2.setf(ios::fixed);
    f2.setf(ios::showpoint);
    f2.precision(2);
if(a==0);
{
    if((b==0)&&(c==0))
    {
        f2<<"YES";
    }
    if((b!=0)&&(c!=0))
    {f2<<float(-c)/float(b);}
    if((b==0)&&(c!=0)) {f2<<"NO";}
}
if(a!=0)
   {d=float(b)*float(b)-(4*float(a)*float(c));

   if(d<0)
    {
    f2<<"NO";
    }
    if(d==0)
     {f2<<float(-b)/float(2*a)<<' '<<float(-b)/float(2*a);}
    if(d>0)
    {f2<<(float(-b)-sqrt(d))/(float(a)*2)<<' '<<(float(-b)+sqrt(d))/(float(a)*2);}}
    f2.close();
    return 0;
}
